> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ebay Seller Reviews

> This endpoint is used to fetch reviews from Ebay Seller Page.



## OpenAPI

````yaml POST /ebay-seller/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /ebay-seller/reviews:
    post:
      description: This endpoint is used to fetch reviews from Ebay Seller Page.
      requestBody:
        description: Ebay seller feedback scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EbaySellerReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EbaySellerReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    EbaySellerReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Ebay Seller Page URL
        is_text_formatted:
          type: boolean
          description: Controls text formatting in output
          default: true
        reviews_to_fetch:
          type:
            - number
            - 'null'
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        sync_date:
          type:
            - string
            - 'null'
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
        sort_type:
          type:
            - string
            - 'null'
          description: Sorting option
        pagination_data:
          type:
            - object
            - 'null'
          description: Pagination metadata
    EbaySellerReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              query:
                type: string
                description: Original query URL
              author_name:
                type:
                  - string
                  - 'null'
                description: Name of the review author
              review_date:
                type:
                  - string
                  - 'null'
                description: Date when the review was posted
              review_rating:
                type:
                  - number
                  - 'null'
                description: Rating given in the review
              review_text:
                type:
                  - string
                  - 'null'
                description: Content of the review
              review_description:
                type:
                  - string
                  - 'null'
                description: Item summary
              is_verified_purchase:
                type:
                  - boolean
                  - 'null'
                description: Whether the review is verified
              review_image_urls:
                type: array
                items:
                  type: string
                description: URLs of review images
              review_media:
                type: array
                description: ' URL and type of the media'
                items:
                  type: object
                  properties:
                    review_media_type:
                      type: string
                    review_media_url:
                      type: string
              review_reply:
                type: object
                properties:
                  reply_text:
                    type:
                      - string
                      - 'null'
                    description: Content of the review
                  reply_date:
                    type:
                      - string
                      - 'null'
                    description: Date when the review was posted
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the products
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````